
PENGADIAN EMAS - Bug #15988

BE [EMAS][REGISTRATION/BUY/SELL][RETRY CR] Change Transaction Flow to Not Allow Coba Lagi

15 March 2023 10:04 AM - yap chekying

Status: Closed Start date: 15 March 2023

Priority: High Due date:  

Assignee: yap chekying % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

For transaction hit rc 68 from submit-registration, by/payment or sell/payment, and hit rc 14 from reff switching check, please change

to below steps:

1. get sequence number and receipt number from suspect table

2. call reversal API

3. Updated transaction to failed in transaction history table

4. Remove transaction from suspect table

5. Remove transaction from registration table (registration transaction only)

6. Show Failed acknowledgement screen

History

#1 - 15 March 2023 07:28 PM - Imran Abdulhadi

- Status changed from New to Resolved

- Assignee changed from Imran Abdulhadi to yap chekying

- % Done changed from 0 to 100

#2 - 20 March 2023 04:49 PM - yap chekying

- File WhatsApp Image 2023-03-20 at 4.45.52 PM.jpeg added

- File WhatsApp Image 2023-03-20 at 4.45.45 PM.jpeg added

- Status changed from Resolved to Assigned

- Assignee changed from yap chekying to Imran Abdulhadi

For Sell transaction, Coba Lagi button still display.

#3 - 21 March 2023 11:51 AM - Imran Abdulhadi

- Assignee changed from Imran Abdulhadi to yap chekying

done

#4 - 28 March 2023 12:55 PM - yap chekying

- Status changed from Assigned to Closed

Files

WhatsApp Image 2023-03-20 at 4.45.45 PM.jpeg 61.5 KB 20 March 2023 yap chekying

WhatsApp Image 2023-03-20 at 4.45.52 PM.jpeg 79.2 KB 20 March 2023 yap chekying
